require 'test_helper'

class UglifierText < MiniTest::Test

  def setup
    Jammit.load_configuration('test/config/assets-uglifier.yml').reload!
    @compressor = Compressor.new
  end

  def teardown
    Jammit.load_configuration('test/config/assets.yml').reload!
  end

  def test_javascript_compression
    packed = @compressor.compress_js(glob('test/fixtures/src/*.js'))
    assert_equal packed, File.read('test/fixtures/jammed/js_test-uglifier.js')
  end

  def test_jst_compilation
    packed = @compressor.compile_jst(glob('test/fixtures/src/*.jst'))
    assert_equal packed, File.read('test/fixtures/jammed/jst_test.js')
  end

end
